/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};


var resources = [
];
var symbols = {
"stage": {
   version: "1.5.0",
   minimumCompatibleVersion: "1.5.0",
   build: "1.5.0.217",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
         dom: [
         {
            id:'content',
            type:'rect',
            rect:['23px','60px','502px','283px','auto','auto'],
            fill:["rgba(231,230,230,1.00)"],
            stroke:[0,"rgba(0,0,0,1)","none"]
         },
         {
            id:'sub',
            type:'rect',
            rect:['23px','343px','502px','50px','auto','auto'],
            borderRadius:["0px 0px","0px 0px","36px 36px","36px 36px"],
            fill:["rgba(255,0,102,1.00)"],
            stroke:[0,"rgb(0, 0, 0)","none"]
         },
         {
            id:'sup',
            type:'rect',
            rect:['23px','5px','502px','80px','auto','auto'],
            borderRadius:["0px 0px","0px 0px","36px 36px","36px 36px"],
            fill:["rgba(153,166,169,1.00)"],
            stroke:[0,"rgb(0, 0, 0)","none"],
            transform:[[],['-180']]
         },
         {
            id:'titre2',
            type:'text',
            rect:['33px','95px','auto','auto','auto','auto'],
            text:"Elisabeth SANCEY",
            font:['Arial, Helvetica, sans-serif',24,"rgba(0,0,0,1)","normal","none",""]
         },
         {
            id:'titre1',
            type:'text',
            rect:['33px','36px','auto','auto','auto','auto'],
            text:"Fiche d'identité professionnelle",
            font:['Arial, Helvetica, sans-serif',30,"rgba(4,2,3,1.00)","normal","none",""]
         },
         {
            id:'titre3',
            type:'text',
            rect:['35px','127px','auto','auto','auto','auto'],
            text:"Webdesigner",
            font:['Arial, Helvetica, sans-serif',18,"rgba(117,34,118,1.00)","normal","none",""]
         },
         {
            id:'signeParticulier',
            type:'text',
            rect:['65px','158px','auto','auto','auto','auto'],
            text:"Aime travailler !",
            font:['Arial, Helvetica, sans-serif',14,"rgba(22,8,23,1.00)","normal","none",""]
         },
         {
            id:'emailAuteur',
            type:'text',
            rect:['53px','360px','auto','auto','auto','auto'],
            text:"esancey@axeinteractif.com",
            font:['Arial, Helvetica, sans-serif',14,"rgba(255,255,255,1.00)","normal","none",""]
         },
         {
            id:'descriptif',
            type:'text',
            rect:['32px','185px','273px','105px','auto','auto'],
            text:"Le webdesigner est chargé de concevoir et de réaliser le design d'une interface web. Créatif et novateur, il tient néanmoins compte des contraintes spécifiques au support Internet en termes d’ergonomie, d’utilisabilité et d’accessibilité.",
            font:['Arial, Helvetica, sans-serif',14,"rgba(22,8,23,1.00)","normal","none",""]
         },
         {
            id:'descriptifCopy',
            type:'text',
            rect:['344px','263px','127px','60px','auto','auto'],
            text:"function(){<br>play(\"computer\");<br>}",
            font:['Arial, Helvetica, sans-serif',14,"rgba(22,8,23,1.00)","normal","none",""]
         },
         {
            id:'nana',
            type:'image',
            rect:['319px','109px','129px','139px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"nana.png",'0px','0px']
         },
         {
            id:'articlePAO',
            type:'text',
            rect:['32px','309px','274px','28px','auto','auto'],
            text:"Retrouvez tous les articles sur les métiers de la PAO.",
            align:"left",
            font:['Arial, Helvetica, sans-serif',11,"rgba(31,20,20,1.00)","normal","none","italic"]
         }],
         symbolInstances: [

         ]
      },
   states: {
      "Base State": {
         "${_emailAuteur}": [
            ["color", "color", 'rgba(255,255,255,1.00)'],
            ["style", "top", '360px'],
            ["style", "left", '53px'],
            ["style", "font-size", '14px']
         ],
         "${_content}": [
            ["style", "top", '60px'],
            ["style", "height", '283px'],
            ["color", "background-color", 'rgba(231,230,230,1.00)'],
            ["style", "left", '23px'],
            ["style", "width", '502px']
         ],
         "${_titre3}": [
            ["color", "color", 'rgba(117,34,118,1.00)'],
            ["style", "top", '127px'],
            ["style", "left", '35px'],
            ["style", "font-size", '18px']
         ],
         "${_nana}": [
            ["style", "top", '109px'],
            ["style", "height", '139px'],
            ["style", "left", '319px'],
            ["style", "width", '129px']
         ],
         "${_signeParticulier}": [
            ["style", "top", '158px'],
            ["color", "color", 'rgba(22,8,23,1.00)'],
            ["style", "left", '65px'],
            ["style", "font-size", '14px']
         ],
         "${_titre2}": [
            ["style", "left", '33px'],
            ["style", "top", '95px']
         ],
         "${_descriptif}": [
            ["style", "top", '185px'],
            ["style", "font-size", '14px'],
            ["color", "color", 'rgba(22,8,23,1.00)'],
            ["style", "height", '105px'],
            ["style", "left", '32px'],
            ["style", "width", '273px']
         ],
         "${_sub}": [
            ["color", "background-color", 'rgba(255,0,102,1.00)'],
            ["style", "border-top-left-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "border-bottom-right-radius", [36,36], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "left", '23px'],
            ["style", "width", '502px'],
            ["style", "top", '343px'],
            ["style", "border-bottom-left-radius", [36,36], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "height", '50px'],
            ["style", "border-top-right-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ]
         ],
         "${_Stage}": [
            ["color", "background-color", 'rgba(116,80,80,1.00)'],
            ["style", "overflow", 'hidden'],
            ["style", "height", '400px'],
            ["style", "width", '550px']
         ],
         "${_sup}": [
            ["color", "background-color", 'rgba(153,166,169,1.00)'],
            ["style", "border-top-left-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "border-bottom-right-radius", [36,36], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "border-top-right-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "width", '502px'],
            ["style", "top", '5px'],
            ["style", "border-bottom-left-radius", [36,36], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "left", '23px'],
            ["transform", "rotateZ", '-180deg']
         ],
         "${_articlePAO}": [
            ["style", "font-size", '11px'],
            ["color", "color", 'rgba(31,20,20,1.00)'],
            ["style", "height", '28px'],
            ["style", "left", '32px'],
            ["style", "width", '274px']
         ],
         "${_titre1}": [
            ["color", "color", 'rgba(4,2,3,1.00)'],
            ["style", "top", '36px'],
            ["style", "left", '33px'],
            ["style", "font-size", '30px']
         ],
         "${_descriptifCopy}": [
            ["style", "top", '263px'],
            ["style", "width", '127px'],
            ["color", "color", 'rgba(22,8,23,1.00)'],
            ["style", "height", '60px'],
            ["style", "left", '344px'],
            ["style", "font-size", '14px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 0,
         autoPlay: true,
         timeline: [
         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-116966746");
