/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};


var resources = [
];
var symbols = {
"stage": {
   version: "1.5.0",
   minimumCompatibleVersion: "1.5.0",
   build: "1.5.0.217",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
         dom: [
         {
            id:'fond',
            type:'image',
            rect:['0','0','450px','589px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"fond.jpg",'0px','0px']
         },
         {
            id:'egouttoir',
            type:'image',
            rect:['0','23px','450px','329px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"egouttoir.png",'0px','0px']
         },
         {
            id:'s-goutte',
            type:'rect',
            rect:['247','352','auto','auto','auto','auto']
         },
         {
            id:'s-goutte2',
            display:'none',
            type:'rect',
            rect:['163','330','auto','auto','auto','auto']
         },
         {
            id:'s-goutte3',
            display:'none',
            type:'rect',
            rect:['117','311','auto','auto','auto','auto']
         }],
         symbolInstances: [
         {
            id:'s-goutte',
            symbolName:'s-goutte'
         },
         {
            id:'s-goutte2',
            symbolName:'s-goutte'
         },
         {
            id:'s-goutte3',
            symbolName:'s-goutte'
         }
         ]
      },
   states: {
      "Base State": {
         "${_egouttoir}": [
            ["style", "top", '23px'],
            ["transform", "rotateZ", '0deg']
         ],
         "${_s-goutte2}": [
            ["style", "display", 'none']
         ],
         "${_s-goutte3}": [
            ["style", "display", 'none'],
            ["style", "left", '197px'],
            ["style", "top", '342px']
         ],
         "${_s-goutte}": [
            ["style", "top", '342px']
         ],
         "${_Stage}": [
            ["color", "background-color", 'rgba(255,255,255,1)'],
            ["style", "width", '450px'],
            ["style", "height", '589px'],
            ["style", "overflow", 'hidden']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 2000,
         autoPlay: true,
         timeline: [
            { id: "eid11", tween: [ "style", "${_s-goutte3}", "display", 'block', { fromValue: 'none'}], position: 818, duration: 0 },
            { id: "eid10", tween: [ "style", "${_s-goutte2}", "display", 'block', { fromValue: 'none'}], position: 441, duration: 0 },
            { id: "eid7", tween: [ "transform", "${_egouttoir}", "rotateZ", '18deg', { fromValue: '0deg'}], position: 0, duration: 500 },
            { id: "eid8", tween: [ "transform", "${_egouttoir}", "rotateZ", '0deg', { fromValue: '18deg'}], position: 500, duration: 500 },
            { id: "eid5", tween: [ "transform", "${_egouttoir}", "rotateZ", '-8deg', { fromValue: '0deg'}], position: 1000, duration: 500 },
            { id: "eid6", tween: [ "transform", "${_egouttoir}", "rotateZ", '0deg', { fromValue: '-8deg'}], position: 1500, duration: 500 },
            { id: "eid14", trigger: [ function executeSymbolFunction(e, data) { this._executeSymbolAction(e, data); }, ['stop', '${_s-goutte2}', [] ], ""], position: 0 },
            { id: "eid15", trigger: [ function executeSymbolFunction(e, data) { this._executeSymbolAction(e, data); }, ['stop', '${_s-goutte3}', [] ], ""], position: 0 },
            { id: "eid16", trigger: [ function executeSymbolFunction(e, data) { this._executeSymbolAction(e, data); }, ['play', '${_s-goutte2}', [] ], ""], position: 441 },
            { id: "eid17", trigger: [ function executeSymbolFunction(e, data) { this._executeSymbolAction(e, data); }, ['play', '${_s-goutte3}', [] ], ""], position: 817.52734375 }         ]
      }
   }
},
"s-goutte": {
   version: "1.5.0",
   minimumCompatibleVersion: "1.5.0",
   build: "1.5.0.217",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
   dom: [
   {
      id: 'goutte',
      type: 'image',
      rect: ['0px','0px','5px','9px','auto','auto'],
      fill: ['rgba(0,0,0,0)','images/goutte.svg','0px','0px']
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${_goutte}": [
            ["style", "top", '0px'],
            ["style", "opacity", '1'],
            ["style", "left", '0px']
         ],
         "${symbolSelector}": [
            ["style", "height", '9px'],
            ["style", "width", '5px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 1000,
         autoPlay: true,
         timeline: [
            { id: "eid119", tween: [ "style", "${_goutte}", "top", '28px', { fromValue: '0px'}], position: 0, duration: 1000 },
            { id: "eid122", tween: [ "style", "${_goutte}", "opacity", '0', { fromValue: '1'}], position: 0, duration: 1000 }         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-36370891");
