/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};


var resources = [
];
var symbols = {
"stage": {
   version: "1.5.0",
   minimumCompatibleVersion: "1.5.0",
   build: "1.5.0.217",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
         dom: [
         {
            id:'fond',
            type:'image',
            rect:['0','0','500px','400px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"fond.jpg",'0px','0px']
         },
         {
            id:'terrain',
            type:'image',
            rect:['74px','345px','354px','130px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"terrain.png",'0px','0px']
         },
         {
            id:'ballon',
            display:'none',
            type:'image',
            rect:['-69px','289px','148px','148px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"ballon.png",'0px','0px']
         }],
         symbolInstances: [

         ]
      },
   states: {
      "Base State": {
         "${_terrain}": [
            ["style", "left", '74px'],
            ["style", "top", '345px']
         ],
         "${_ballon}": [
            ["style", "top", '289px'],
            ["transform", "scaleY", '1'],
            ["transform", "rotateZ", '0deg'],
            ["style", "display", 'none'],
            ["style", "left", '-69px'],
            ["transform", "scaleX", '1']
         ],
         "${_Stage}": [
            ["color", "background-color", 'rgba(255,255,255,1)'],
            ["style", "width", '500px'],
            ["style", "height", '400px'],
            ["style", "overflow", 'hidden']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 3500,
         autoPlay: true,
         timeline: [
            { id: "eid20", tween: [ "transform", "${_ballon}", "scaleY", '0.65863', { fromValue: '1'}], position: 2000, duration: 1000 },
            { id: "eid26", tween: [ "transform", "${_ballon}", "scaleY", '0.19442', { fromValue: '0.65863'}], position: 3000, duration: 500, easing: "easeInCirc" },
            { id: "eid19", tween: [ "style", "${_ballon}", "top", '92px', { fromValue: '289px'}], position: 2000, duration: 1000 },
            { id: "eid24", tween: [ "style", "${_ballon}", "top", '116px', { fromValue: '92px'}], position: 3000, duration: 500, easing: "easeInCirc" },
            { id: "eid3", tween: [ "style", "${_terrain}", "top", '125px', { fromValue: '345px'}], position: 0, duration: 1000 },
            { id: "eid6", tween: [ "style", "${_terrain}", "top", '167px', { fromValue: '125px'}], position: 1000, duration: 250 },
            { id: "eid7", tween: [ "style", "${_terrain}", "top", '125px', { fromValue: '167px'}], position: 1250, duration: 750 },
            { id: "eid29", tween: [ "transform", "${_ballon}", "rotateZ", '565deg', { fromValue: '0deg'}], position: 2000, duration: 1000 },
            { id: "eid21", tween: [ "style", "${_ballon}", "left", '-6px', { fromValue: '-69px'}], position: 2000, duration: 1000 },
            { id: "eid23", tween: [ "style", "${_ballon}", "left", '176px', { fromValue: '-6px'}], position: 3000, duration: 500, easing: "easeInCirc" },
            { id: "eid22", tween: [ "transform", "${_ballon}", "scaleX", '0.65863', { fromValue: '1'}], position: 2000, duration: 1000 },
            { id: "eid25", tween: [ "transform", "${_ballon}", "scaleX", '0.19442', { fromValue: '0.65863'}], position: 3000, duration: 500, easing: "easeInCirc" },
            { id: "eid8", tween: [ "style", "${_ballon}", "display", 'block', { fromValue: 'none'}], position: 2000, duration: 0 }         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-13235038");
