/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};


var resources = [
];
var symbols = {
"stage": {
   version: "1.5.0",
   minimumCompatibleVersion: "1.5.0",
   build: "1.5.0.217",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
         dom: [
         {
            id:'fond',
            type:'image',
            rect:['0','0','500px','400px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"fond.jpg",'0px','0px']
         },
         {
            id:'s-terrain',
            type:'rect',
            rect:['74','345','auto','auto','auto','auto']
         },
         {
            id:'s-ballon',
            type:'rect',
            rect:['-69','289','auto','auto','auto','auto']
         }],
         symbolInstances: [
         {
            id:'s-terrain',
            symbolName:'s-terrain'
         },
         {
            id:'s-ballon',
            symbolName:'s-ballon'
         }
         ]
      },
   states: {
      "Base State": {
         "${_Stage}": [
            ["color", "background-color", 'rgba(255,255,255,1)'],
            ["style", "overflow", 'hidden'],
            ["style", "height", '400px'],
            ["style", "width", '500px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 0,
         autoPlay: true,
         timeline: [
         ]
      }
   }
},
"s-terrain": {
   version: "1.5.0",
   minimumCompatibleVersion: "1.5.0",
   build: "1.5.0.217",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
   dom: [
   {
      id: 'terrain',
      type: 'image',
      rect: ['0px','0px','354px','130px','auto','auto'],
      fill: ['rgba(0,0,0,0)','images/terrain.png','0px','0px']
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${_terrain}": [
            ["style", "left", '0px'],
            ["style", "top", '0px']
         ],
         "${symbolSelector}": [
            ["style", "height", '130px'],
            ["style", "width", '354px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 2000,
         autoPlay: true,
         timeline: [
            { id: "eid3", tween: [ "style", "${_terrain}", "top", '-220px', { fromValue: '0px'}], position: 0, duration: 1000 },
            { id: "eid6", tween: [ "style", "${_terrain}", "top", '-178px', { fromValue: '-220px'}], position: 1000, duration: 250 },
            { id: "eid7", tween: [ "style", "${_terrain}", "top", '-220px', { fromValue: '-178px'}], position: 1250, duration: 750 }         ]
      }
   }
},
"s-ballon": {
   version: "1.5.0",
   minimumCompatibleVersion: "1.5.0",
   build: "1.5.0.217",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
   dom: [
   {
      type: 'image',
      display: 'none',
      rect: ['0px','0px','148px','148px','auto','auto'],
      id: 'ballon',
      fill: ['rgba(0,0,0,0)','images/ballon.png','0px','0px']
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${_ballon}": [
            ["style", "top", '0px'],
            ["transform", "scaleY", '1'],
            ["transform", "rotateZ", '0deg'],
            ["style", "display", 'none'],
            ["style", "left", '0px'],
            ["transform", "scaleX", '1']
         ],
         "${symbolSelector}": [
            ["style", "height", '148px'],
            ["style", "width", '148px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 2000,
         autoPlay: true,
         timeline: [
            { id: "eid20", tween: [ "transform", "${_ballon}", "scaleY", '0.65863', { fromValue: '1'}], position: 0, duration: 1500 },
            { id: "eid26", tween: [ "transform", "${_ballon}", "scaleY", '0.19442', { fromValue: '0.65863'}], position: 1500, duration: 500, easing: "easeInCirc" },
            { id: "eid8", tween: [ "style", "${_ballon}", "display", 'block', { fromValue: 'none'}], position: 0, duration: 0 },
            { id: "eid29", tween: [ "transform", "${_ballon}", "rotateZ", '565deg', { fromValue: '0deg'}], position: 0, duration: 1500 },
            { id: "eid21", tween: [ "style", "${_ballon}", "left", '63px', { fromValue: '0px'}], position: 0, duration: 1500 },
            { id: "eid23", tween: [ "style", "${_ballon}", "left", '245px', { fromValue: '63px'}], position: 1500, duration: 500, easing: "easeInCirc" },
            { id: "eid22", tween: [ "transform", "${_ballon}", "scaleX", '0.65863', { fromValue: '1'}], position: 0, duration: 1500 },
            { id: "eid25", tween: [ "transform", "${_ballon}", "scaleX", '0.19442', { fromValue: '0.65863'}], position: 1500, duration: 500, easing: "easeInCirc" },
            { id: "eid19", tween: [ "style", "${_ballon}", "top", '-197px', { fromValue: '0px'}], position: 0, duration: 1500 },
            { id: "eid24", tween: [ "style", "${_ballon}", "top", '-174px', { fromValue: '-197px'}], position: 1500, duration: 500, easing: "easeInCirc" }         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-13235038");
