/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 12000, function(sym, e) {
         // lire le scénario à partir de la position spécifiée (ms ou étiquette)
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         // Masquer un élément.
         sym.$("b-lire").hide();
         sym.$("b-auteur-off").hide();
         sym.$("copyright").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-arret}", "click", function(sym, e) {
         sym.$("b-lire").show();
         sym.$("b-arret").hide();
         sym.stop();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-lire}", "click", function(sym, e) {
         sym.$("b-lire").hide();
         sym.$("b-arret").show();
         sym.play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-auteur-on}", "click", function(sym, e) {
         sym.$("b-auteur-on").hide();
         sym.$("b-auteur-off").show();
         sym.$("copyright").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-auteur-off}", "click", function(sym, e) {
         sym.$("b-auteur-on").show();
         sym.$("b-auteur-off").hide();
         sym.$("copyright").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'test'
   (function(symbolName) {   
   
   })("test");
   //Edge symbol end:'test'

})(jQuery, AdobeEdge, "EDGE-24877299");