/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.setVariable("compte", 0);
         sym.$("score").html("0");
         sym.$("txt-rejouer").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-gant}", "mouseup", function(sym, e) {
         sym.getSymbol("s-gant").play();
         var counter = sym.getVariable("compte");
         counter = counter + 10;
         sym.$("score").html(counter);
         sym.setVariable("compte", counter);
         
         if(counter>20){
         counter=0;
         sym.getSymbol("s-gant").play("poing2");
         sym.$("score").html("Gagné par KO !");
         	}
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_txt-rejouer}", "click", function(sym, e) {
         sym.getSymbol("s-gant").$("gant").fadeIn();
         sym.getSymbol("s-nana").play("partie1");
         var counter = sym.getVariable("compte");
         counter = counter + 10;
         counter = 0;
         sym.$("score").html(counter);
         sym.setVariable("compte", counter);
         sym.$("txt-rejouer").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-nana'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.play("partie1");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2072, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         

      });
      //Edge binding end

   })("s-nana");
   //Edge symbol end:'s-nana'

   //=========================================================
   
   //Edge symbol: 's-gant'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.getComposition().getStage().getSymbol("s-nana").play("partie2");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1357, function(sym, e) {
         sym.play("poing");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2750, function(sym, e) {
         sym.$("gant").fadeOut();
         sym.getComposition().getStage().$("txt-rejouer").show();
         sym.stop("poing");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.getComposition().getStage().getSymbol("s-nana").stop("partie3");

      });
      //Edge binding end

   })("s-gant");
   //Edge symbol end:'s-gant'

})(jQuery, AdobeEdge, "EDGE-56845516");