/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.setVariable("photoCompte", 1);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-flecheSuiv}", "click", function(sym, e) {
         var counter = sym.getVariable("photoCompte");
         
         counter = counter + 1;
         
         if(counter>9){
         	counter=1;
         	}
         
         sym.setVariable("photoCompte", counter);
         
         for (i=1; i<9; i++){
         	sym.$("paros"+i).hide();
           	}
         
         sym.$("paros"+counter).show();
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-flechePrec}", "click", function(sym, e) {
         var counter = sym.getVariable("photoCompte");
         
         counter = counter - 1;
         
         if(counter<1){
         	counter=9;
         	}
         
         sym.setVariable("photoCompte", counter);
         
         for (i=1; i<9; i++){
         	sym.$("paros"+i).hide();
           	}
         
         sym.$("paros"+counter).show();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-fleche'
   (function(symbolName) {   
   
   })("s-fleche");
   //Edge symbol end:'s-fleche'

})(jQuery, AdobeEdge, "EDGE-74344729");