/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
sym.$("son-ambiance").append ('<embed src="ambiance.mp3" autoplay loop controls> ');

sym.$("btn-on").hide();

sym.$("alerte").html("Le son ambiance est activé");

      });
      //Edge binding end

      

      

      Symbol.bindElementAction(compId, symbolName, "${_gant}", "click", function(sym, e) {
         sym.play("arret");
         $('#Stage_son-coupoing').children().remove();
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1055, function(sym, e) {
         // lire le scénario à partir de la position spécifiée (ms ou étiquette)
         sym.play(0001);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_gant-depart}", "click", function(sym, e) {
         sym.$("son-coupoing'").append ('<embed src="coupoing.mp3" autoplay loop controls> ');
         sym.play(0001);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         sym.$("son-dada'").append ('<embed src="dada.mp3" autoplay loop controls> ');
         
         sym.$("alerte").html("GAME OVER");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn-off}", "click", function(sym, e) {
         sym.$("son-ambiance").children().remove();
         
         sym.$("btn-off").hide();
         sym.$("btn-on").show();
         
         sym.$("alerte").html("Le son ambiance est désactivé");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn-on}", "click", function(sym, e) {
         sym.$("son-ambiance").append ('<embed src="ambiance.mp3" autoplay loop controls> ');
         
         sym.$("btn-on").hide();
         sym.$("btn-off").show();
         
         sym.$("alerte").html("Le son ambiance est activé");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 77, function(sym, e) {
         sym.$("alerte").html("");
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-nana'
   (function(symbolName) {   
   
      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2072, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         

      });
      //Edge binding end

   })("s-nana");
   //Edge symbol end:'s-nana'

   //=========================================================
   
   //Edge symbol: 's-gant'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.getComposition().getStage().getSymbol("s-nana").play("partie2");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1357, function(sym, e) {
         sym.play("poing");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2750, function(sym, e) {
         sym.$("gant").fadeOut();
         sym.getComposition().getStage().$("txt-rejouer").show();
         sym.stop("poing");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.getComposition().getStage().getSymbol("s-nana").stop("partie3");

      });
      //Edge binding end

   })("s-gant");
   //Edge symbol end:'s-gant'

})(jQuery, AdobeEdge, "EDGE-56845516");