/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // insérer le code ici
      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         /* insérer le code à exécuter 
         lorsque le chargement de la composition 
         est terminé */
         sym.$("s-terrain").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Stage}", "dblclick", function(sym, e) {
         // insérer le code du double-clic de souris ici
         sym.$("s-terrain").show();
         sym.$("s-terrain").play();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-terrain'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         /* empêche 
         le scénario 
         de démarrer */
         sym.stop();

      });
      //Edge binding end

   })("s-terrain");
   //Edge symbol end:'s-terrain'

   //=========================================================
   
   //Edge symbol: 's-ballon'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // insérer le code ici
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         // insérer le code ici
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ballon}", "click", function(sym, e) {
         // insérer le code du clic de souris ici
         sym.play();
         

      });
      //Edge binding end

   })("s-ballon");
   //Edge symbol end:'s-ballon'

})(jQuery, AdobeEdge, "EDGE-13235038");