/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "${_s-site}", "mouseover", function(sym, e) {
         // insérer le code à exécuter lorsque vous survolez l'objet à l'aide de la souris
         sym.getSymbol("s-site").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-site}", "click", function(sym, e) {
         // insérer le code du clic de souris ici
         // Accéder à une nouvelle URL dans la fenêtre active
         // (remplacer "_self" par l'attribut cible approprié pour une nouvelle fenêtre)
         window.open("http://www.axeinteractif.com", "_blank");
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_txt-contact}", "click", function(sym, e) {
         window.open("mailto:esancey@axeinteractif.com");
         
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-site'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // insérer le code ici
         sym.stop();

      });
      //Edge binding end

   })("s-site");
   //Edge symbol end:'s-site'

})(jQuery, AdobeEdge, "EDGE-59956627");