/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "${_b-arret}", "click", function(sym, e) {
         sym.getSymbol("s-deplace").getSymbol("s-cactus-star").stop();
         sym.getSymbol("s-deplace").getSymbol("s-cactus-star").getSymbol("s-bouche").stop();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-lire}", "click", function(sym, e) {
         sym.getSymbol("s-cactus-star").play();
         sym.getSymbol("s-cactus-star").getSymbol("s-bouche").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-bouche}", "click", function(sym, e) {
         // arrêter le scénario à la position spécifiée (ms ou étiquette)
         sym.getSymbol("s-cactus-star").getSymbol("s-bouche").stop("boucheOff");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-oeil}", "click", function(sym, e) {
         sym.getSymbol("s-cactus-star").$("s-oeil").hide();
         sym.getSymbol("s-cactus-star").$("s-oeil2").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_b-chapeau}", "click", function(sym, e) {
         
         
         sym.getSymbol("s-cactus-star").play(2001);

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-cactus'
   (function(symbolName) {   
   
   })("s-cactus");
   //Edge symbol end:'s-cactus'

   //=========================================================
   
   //Edge symbol: 's-cactus_1'
   (function(symbolName) {   
   
   })("s-cactus-herbe");
   //Edge symbol end:'s-cactus-herbe'

   //=========================================================
   
   //Edge symbol: 's-caillou'
   (function(symbolName) {   
   
   })("s-caillou");
   //Edge symbol end:'s-caillou'

   //=========================================================
   
   //Edge symbol: 's-cactus-star'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // lire le scénario à partir de la position spécifiée (ms ou étiquette)
         sym.play(0);

      });
      //Edge binding end

   })("s-cactus-star");
   //Edge symbol end:'s-cactus-star'

   //=========================================================
   
   //Edge symbol: 's-oeil'
   (function(symbolName) {   
   
   })("s-oeil");
   //Edge symbol end:'s-oeil'

   //=========================================================
   
   //Edge symbol: 's-bouche'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // lire le scénario à partir de la position spécifiée (ms ou étiquette)
         sym.play(0);

      });
      //Edge binding end

   })("s-bouche");
   //Edge symbol end:'s-bouche'

   //=========================================================
   
   //Edge symbol: 's-goutte'
   (function(symbolName) {   
   
   })("s-goutte");
   //Edge symbol end:'s-goutte'

   //=========================================================
   
   //Edge symbol: 's-deplace'
   (function(symbolName) {   
   
   })("s-deplace");
   //Edge symbol end:'s-deplace'

})(jQuery, AdobeEdge, "EDGE-7886187");