/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.setVariable("photoCompte", 1);
         sym.$("titre").html("Bienvenue à <strong>Paros !</strong>");
         sym.$("intro").html("En cliquant sur le lien suivant <a style='color:#F90' href='http://www.iles-grece.com/' target='_blank'> www.iles-grece.com </a> vous y trouverez toutes les informations nécessaires pour préparer votre séjour et en profiter pleinement !");
         
         var element = sym.$("Group");
         element.css({"border":"4px #F90 solid"});
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-flecheSuiv}", "click", function(sym, e) {
         var counter = sym.getVariable("photoCompte");
         
         counter = counter + 1;
         
         sym.$("titre").html("Diaporama");
         
         var element = sym.$("Group");
         element.css({"border":"6px #39F dotted"});
         
         if(counter>8){
         	counter=1;
         	}
         
         sym.setVariable("photoCompte", counter);
         
         for (i=1; i<8; i++){
         	sym.$("paros"+i).hide();
           	}
         
         sym.$("paros"+counter).show();
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-flechePrec}", "click", function(sym, e) {
         var counter = sym.getVariable("photoCompte");
         
         counter = counter - 1;
         
         if(counter<1){
         	counter=8;
         	}
         
         sym.setVariable("photoCompte", counter);
         sym.$("titre").html("Diaporama "+ counter + "/8 ");
         
         var element = sym.$("Group");
         element.css({"border-top":"4px #F90 solid","border-left":"4px #39F dotted","border-right":"7px #000 dashed","border-bottom":"10px #366 double"});
         
         for (i=1; i<8; i++){
         	sym.$("paros"+i).hide();
           	}
         
         sym.$("paros"+counter).show();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-fleche'
   (function(symbolName) {   
   
   })("s-fleche");
   //Edge symbol end:'s-fleche'

})(jQuery, AdobeEdge, "EDGE-74344729");