/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "keydown", function(sym, e) {
if (e.which == 82) {
sym.getSymbol("s-requin").$("requin").show();

sym.getSymbol("s-requin").play();

sym.$("intro").html("Alerte au requin !");

sym.$("touche-b").hide();
sym.$("touche-h").hide();
sym.$("touche-d").hide();
sym.$("touche-g").hide();
sym.$("touche-r").show();
	}





if (e.which == 39) {
sym.getSymbol("s-kite").play("kite1");
sym.getSymbol("s-fond").play(0001);
sym.getSymbol("s-kite2").play();

sym.$("intro").html("Bord de fenêtre 15H");

sym.$("touche-b").hide();
sym.$("touche-h").hide();
sym.$("touche-d").show();
sym.$("touche-g").hide();
sym.$("touche-r").hide();

	}



if (e.which == 37) {
sym.getSymbol("s-kite").play("kite2");
sym.getSymbol("s-fond").play(0001);
sym.getSymbol("s-kite2").play();
sym.$("intro").html("Bord de fenêtre 9H");
sym.$("touche-b").hide();
sym.$("touche-h").hide();
sym.$("touche-d").hide();
sym.$("touche-g").show();
sym.$("touche-r").hide();
	}


if (e.which == 38) {
sym.getSymbol("s-kite").play("kite3");
sym.getSymbol("s-fond").stop("flou");
sym.getSymbol("s-kite2").play();
sym.$("intro").html("Whaouuuu");
sym.$("touche-b").hide();
sym.$("touche-h").show();
sym.$("touche-d").hide();
sym.$("touche-g").hide();
sym.$("touche-r").hide();
	}
	
	
	
if (e.which == 40) {
sym.getSymbol("s-kite").stop(0);
sym.getSymbol("s-fond").stop("net");
sym.getSymbol("s-kite2").stop(0);
sym.$("intro").html("Zénith 12H");
sym.$("touche-b").hide();
sym.$("touche-h").show();
sym.$("touche-d").hide();
sym.$("touche-g").hide();
sym.$("touche-r").hide();
	}


      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.getSymbol("s-requin").$("requin").hide();
         
         sym.$("intro").html("Appuyez sur les touches ");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "keyup", function(sym, e) {
         if (e.which == 82) {
         sym.getSymbol("s-requin").$("requin").hide();
         sym.$("intro").html("");
         sym.$("touche-r").hide();
         	}

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-kite'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1816, function(sym, e) {
         sym.play("voile1");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         sym.play("voile2");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5250, function(sym, e) {
         sym.play(0);
         sym.getComposition().getStage().getSymbol("s-fond").stop("net");
         sym.getComposition().getStage().$("intro").html("Zénith 12H");
         
         

      });
      //Edge binding end

   })("s-kite");
   //Edge symbol end:'s-kite'

   //=========================================================
   
   //Edge symbol: 's-fond'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.play(0001);

      });
      //Edge binding end

   })("s-fond");
   //Edge symbol end:'s-fond'

   //=========================================================
   
   //Edge symbol: 's-kite2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(0001);

      });
      //Edge binding end

   })("s-kite2");
   //Edge symbol end:'s-kite2'

   //=========================================================
   
   //Edge symbol: 's-requin'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("s-requin");
   //Edge symbol end:'s-requin'

})(jQuery, AdobeEdge, "EDGE-124568277");