/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.$('<iframe width="300" height="250" frameborder="0" scrolling="no" marginheight="0"marginwidth="0" src="https://maps.google.fr/maps?f=q&amp;source=s_q&amp;hl=fr&amp;geocode=&amp;q=546+Marine+Parade,+Napier+South,+Napier+4110,+Nouvelle-Z%C3%A9lande&amp;aq=&amp;sll=48.738078,3.619995&amp;sspn=2.507006,5.762329&amp;ie=UTF8&amp;hq=&amp;hnear=546+Marine+Parade,+Napier+South,+Napier+4110,+Nouvelle-Z%C3%A9lande&amp;t=m&amp;ll=-39.500663,176.917219&amp;spn=0.016557,0.025749&amp;z=14&amp;output=embed"></iframe>').appendTo(sym.$("cadre-map"));
         sym.setParameter("score", 0);
         sym.$("cadre-video").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_reset}", "click", function(sym, e) {
         var compteur = sym.composition.getStage().getParameter("score");
         compteur = 0;
         sym.setParameter("score", compteur);
         
         sym.$("affiche-score").html(compteur);
         sym.$("affiche-message").html("Et gloo et gloo...");
         
         sym.$("cadre-video").hide();
         
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-all'
   (function(symbolName) {   
   
   })("s-all");
   //Edge symbol end:'s-all'

   //=========================================================
   
   //Edge symbol: 's-martin1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_s-win}", "click", function(sym, e) {
         sym.getComposition().getStage().getSymbol("s-all").getSymbol("s-martin1").getSymbol("s-win").play("win");
         
         setTimeout(function() {
            sym.$("s-martin1").hide();
         	}, 4);
         
         	
         	

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 15000, function(sym, e) {
         sym.getSymbol("s-win").$("martin").show();

      });
      //Edge binding end

      Symbol.bindTimelineAction(compId, symbolName, "Default Timeline", "complete", function(sym, e) {
         sym.play(0);
         

      });
      //Edge binding end

   })("s-martin1");
   //Edge symbol end:'s-martin1'

   //=========================================================
   
   //Edge symbol: 's-win'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 60, function(sym, e) {
         sym.play(0001);

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 123, function(sym, e) {
         sym.$("son").append('<embed src="ben-bravo.mp3" autoplay>');
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_martin}", "dblclick", function(sym, e) {
         var compteur = sym.composition.getStage().getParameter("score");
         compteur = compteur + 1;
         sym.composition.getStage().setParameter("score", compteur);
         
         sym.getComposition().getStage().$("affiche-score").html(compteur);
         
         sym.getComposition().getStage().$("affiche-message").show();
         
         if (compteur == 5) {
         sym.getComposition().getStage().$("affiche-message").html("ben bravo !");
         }
         
         if (compteur == 10) {
         sym.getComposition().getStage().$("affiche-message").html("Vous l'avez bien mérité !");
         sym.getComposition().getStage().$("cadre-video").show();
         sym.$('').appendTo(sym.getComposition().getStage().$("cadre-video")); 
         }

      });
      //Edge binding end

   })("s-win");
   //Edge symbol end:'s-win'

   //=========================================================
   
   //Edge symbol: 's-martin1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 15000, function(sym, e) {
         sym.getSymbol("s-win").$("martin").show();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-win}", "click", function(sym, e) {
         sym.getComposition().getStage().getSymbol("s-all").getSymbol("s-martin2").getSymbol("s-win").play("win");
         
         setTimeout(function() {
            sym.$("s-martin2").hide();
         	}, 6);
         
         
         

      });
         //Edge binding end

      Symbol.bindTimelineAction(compId, symbolName, "Default Timeline", "complete", function(sym, e) {
         sym.play(0);
         

      });
         //Edge binding end

      })("s-martin2");
   //Edge symbol end:'s-martin2'

   //=========================================================
   
   //Edge symbol: 's-martin2_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 15000, function(sym, e) {
         sym.getSymbol("s-win").$("martin").show();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_s-win}", "click", function(sym, e) {
         sym.getComposition().getStage().getSymbol("s-all").getSymbol("s-martin3").getSymbol("s-win").play("win");
         
         setTimeout(function() {
            sym.$("s-martin3").hide();
         	}, 4);
         
         
         

      });
         //Edge binding end

      Symbol.bindTimelineAction(compId, symbolName, "Default Timeline", "complete", function(sym, e) {
         sym.play(0);
         

      });
         //Edge binding end

      })("s-martin3");
   //Edge symbol end:'s-martin3'

})(jQuery, AdobeEdge, "EDGE-39684615");