/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.setParameter("score", 0);
         sym.$("console-score").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_console-score}", "click", function(sym, e) {
         sym.$("console-score").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 's-bulle1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bulle-on}", "click", function(sym, e) {
         sym.play("bulleoff");
         
         var compteur = sym.composition.getStage().getParameter("score");
         compteur = compteur + 1;
         sym.composition.getStage().setParameter("score", compteur);
         
         
         if (compteur == 5) {
         sym.getComposition().getStage().$("console-score").show();
         sym.getComposition().getStage().$("affiche-score").html(compteur);
         }
         
         if (compteur == 10) {
         sym.getComposition().getStage().$("console-score").show();
         sym.getComposition().getStage().$("affiche-score").html(compteur);
         }
         
         if (compteur == 20) {
         sym.getComposition().getStage().$("console-score").show();
         sym.getComposition().getStage().$("affiche-score").html("Au boulot !");
         }
         
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();
         

      });
      //Edge binding end

   })("s-bulle");
   //Edge symbol end:'s-bulle'

})(jQuery, AdobeEdge, "EDGE-1792790");